Subject: Re: What's cooking in git.git (Nov 2021, #05; Fri, 19)

From: Junio C Hamano <[email-masked]>
Date: Mon, 22 Nov 2021 10:05:12 -0800

Glen Choo <[email-masked]> writes:

> Junio C Hamano <[email-masked]> writes:
>
>> * gc/remote-with-fewer-static-global-variables (2021-11-18) 5 commits
>>  - remote: die if branch is not found in repository
>>  - remote: remove the_repository->remote_state from static methods
>>  - remote: use remote_state parameter internally
>>  - remote: move static variables into per-repository struct
>>  - t5516: add test case for pushing remote refspecs
>>
>>  Code clean-up to eventually allow information on remotes defined
>>  for an arbitrary repository to be read.
>>
>>  Will merge to 'next'?
>
> This got a Reviewed-by from Jonathan Tan; do we need more reviewers to
> look at this?

As I promised, I've been ignoring anything that won't be in 2.34.1
until it goes out, so I do not know the answer to that question at
this moment ;-)